## PepperMill

### Introduction

The PepperMill utility is a translator and is run one time on your C++ header files. It will convert your application
header files to CopperSpice header files and change the syntax of Signal and Slot declarations, properties, enums,
and several other constructs which involve registration. The conversion will update your existing source to work with
CopperSpice.


### Building PepperMill

To build PepperMill you will need the following CopperSpice libraries: CsCore

To build from source a current copy of the CopperSpice libraries, a C++17 compiler, and a C++17 standard
library are required.

CMake build files are provided with the source distribution.



### Authors

* **Barbara Geller**
* **Ansel Sermersheim*


### License

This application is released under the 2-Clause BSD license. For more information refer to the LICENSE file provided with this
project.


### References

* Website: www.copperspice.com
* Email:   info@copperspice.com
